# Uses of Class
org.eclipse.ecf.core.sharedobject.SharedObjectTypeDescription

Packages that use SharedObjectTypeDescription
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.provider

## Uses of SharedObjectTypeDescription in org.eclipse.ecf.core.sharedobject

Fields in org.eclipse.ecf.core.sharedobject declared as SharedObjectTypeDescription
Modifier and Type
Field
Description
`protected SharedObjectTypeDescription`
SharedObjectDescription.`typeDescription`
Methods in org.eclipse.ecf.core.sharedobject that return SharedObjectTypeDescription
Modifier and Type
Method
Description
`SharedObjectTypeDescription`
ISharedObjectFactory.`addDescription(SharedObjectTypeDescription description)`
`SharedObjectTypeDescription`
SharedObjectFactory.`addDescription(SharedObjectTypeDescription description)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`addDescription0(SharedObjectTypeDescription n)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`getDescription0(String name)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`getDescription0(SharedObjectTypeDescription scd)`
`SharedObjectTypeDescription`
ISharedObjectFactory.`getDescriptionByName(String name)`
Get the known SharedObjectTypeDescription given it's name.
`SharedObjectTypeDescription`
SharedObjectFactory.`getDescriptionByName(String name)`
`SharedObjectTypeDescription`
SharedObjectDescription.`getTypeDescription()`
`SharedObjectTypeDescription`
ISharedObjectFactory.`removeDescription(SharedObjectTypeDescription scd)`
Remove given description from set known to this factory.
`SharedObjectTypeDescription`
SharedObjectFactory.`removeDescription(SharedObjectTypeDescription scd)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`removeDescription0(SharedObjectTypeDescription n)`
Methods in org.eclipse.ecf.core.sharedobject with parameters of type SharedObjectTypeDescription
Modifier and Type
Method
Description
`SharedObjectTypeDescription`
ISharedObjectFactory.`addDescription(SharedObjectTypeDescription description)`
`SharedObjectTypeDescription`
SharedObjectFactory.`addDescription(SharedObjectTypeDescription description)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`addDescription0(SharedObjectTypeDescription n)`
`boolean`
ISharedObjectFactory.`containsDescription(SharedObjectTypeDescription description)`
Check to see if a given named description is already contained by this factory
`boolean`
SharedObjectFactory.`containsDescription(SharedObjectTypeDescription scd)`
`protected boolean`
SharedObjectFactory.`containsDescription0(SharedObjectTypeDescription scd)`
`ISharedObject`
ISharedObjectFactory.`createSharedObject(SharedObjectTypeDescription typeDescription, Object[] args)`
Create ISharedObject instance.
`ISharedObject`
SharedObjectFactory.`createSharedObject(SharedObjectTypeDescription desc, Object[] args)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`getDescription0(SharedObjectTypeDescription scd)`
`SharedObjectTypeDescription`
ISharedObjectFactory.`removeDescription(SharedObjectTypeDescription scd)`
Remove given description from set known to this factory.
`SharedObjectTypeDescription`
SharedObjectFactory.`removeDescription(SharedObjectTypeDescription scd)`
`protected SharedObjectTypeDescription`
SharedObjectFactory.`removeDescription0(SharedObjectTypeDescription n)`
Constructors in org.eclipse.ecf.core.sharedobject with parameters of type SharedObjectTypeDescription
Modifier
Constructor
Description
``
`ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID soID, ID homeID)`
``
`ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID soID, ID homeID, Map<String,?> props)`
``
`ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID objectID, ID homeID, Map<String,?> props, long ident)`
``
`SharedObjectDescription(SharedObjectTypeDescription typeDescription, ID id)`
``
`SharedObjectDescription(SharedObjectTypeDescription typeDescription, ID id, Map<String,?> properties)`

## Uses of SharedObjectTypeDescription in org.eclipse.ecf.core.sharedobject.provider

Methods in org.eclipse.ecf.core.sharedobject.provider with parameters of type SharedObjectTypeDescription
Modifier and Type
Method
Description
`ISharedObject`
ISharedObjectInstantiator.`createInstance(SharedObjectTypeDescription typeDescription, Object[] args)`
Create instance of ISharedObject.